Skip to content
Start here

Get raw response

client.urlScanner.responses.get(stringresponseId, ResponseGetParams { account_id } params, RequestOptionsoptions?): ResponseGetResponse
GET/accounts/{account_id}/urlscanner/v2/responses/{response_id}

Returns the raw response of the network request. Find the response_id in the data.requests.response.hash.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
URL Scanner WriteURL Scanner Read
ParametersExpand Collapse
responseId: string

Response hash.

params: ResponseGetParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
ResponseGetResponse = string

Web resource or image.

Get raw response

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.urlScanner.responses.get('response_id', { account_id: 'account_id' });

console.log(response);
Returns Examples